> ## Documentation Index
> Fetch the complete documentation index at: https://help.teable.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get adminobservabilitytable query opstables

> List current table search and index management state

Required token scopes: `instance|read`



## OpenAPI

````yaml /swagger.json get /admin/observability/table-query-ops/tables
openapi: 3.0.0
info:
  version: 1.0.0
  title: Teable App
  description: Manage Data as easy as drink a cup of tea
  x-logo:
    backgroundColor: '#F0F0F0'
    altText: Teable logo
servers:
  - url: https://app.teable.ai/api
security: []
tags:
  - name: base
    x-group: project
  - name: base node
    x-group: project node
  - name: base-share
    x-group: project-share
paths:
  /admin/observability/table-query-ops/tables:
    get:
      tags:
        - admin
        - observability
      description: |-
        List current table search and index management state

        Required token scopes: `instance|read`
      parameters:
        - schema:
            type: string
          required: false
          name: q
          in: query
        - schema:
            type: string
            enum:
              - all
              - attention
              - indexed
              - configured
              - unconfigured
              - unavailable
          required: false
          name: state
          in: query
        - schema:
            type: string
            enum:
              - slow
              - name
          required: false
          name: sort
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 720
          required: false
          name: lookbackHours
          in: query
        - schema:
            type: integer
            nullable: true
            minimum: 0
          required: false
          name: skip
          in: query
        - schema:
            type: integer
            minimum: 1
            maximum: 100
          required: false
          name: take
          in: query
      responses:
        '200':
          description: Current table inventory
          content:
            application/json:
              schema:
                type: object
                properties:
                  tables:
                    type: array
                    items:
                      type: object
                      properties:
                        tableId:
                          type: string
                        tableName:
                          type: string
                        baseId:
                          type: string
                        baseName:
                          type: string
                        spaceId:
                          type: string
                          nullable: true
                        spaceName:
                          type: string
                          nullable: true
                        estimatedRows:
                          type: number
                          nullable: true
                        totalBytes:
                          type: number
                          nullable: true
                        search:
                          type: object
                          properties:
                            method:
                              type: string
                              enum:
                                - pg_bigm
                                - pg_trgm
                                - ilike
                                - unavailable
                            runtimeEnabled:
                              type: boolean
                            configured:
                              type: boolean
                            indexState:
                              type: string
                              enum:
                                - not_configured
                                - pending_publication
                                - ready
                                - unusable
                            configuredProvider:
                              type: string
                              nullable: true
                              enum:
                                - pg_bigm
                                - pg_trgm
                            coveredFieldCount:
                              type: number
                            eligibleFieldCount:
                              type: number
                            uncoveredFieldCount:
                              type: number
                            reason:
                              type: string
                          required:
                            - method
                            - runtimeEnabled
                            - configured
                            - indexState
                            - configuredProvider
                            - coveredFieldCount
                            - eligibleFieldCount
                            - uncoveredFieldCount
                        ordinaryIndexCount:
                          type: number
                          nullable: true
                        pendingRecommendationCount:
                          type: number
                        activeTaskCount:
                          type: number
                        observation:
                          type: object
                          properties:
                            requestCount:
                              type: number
                            slowCount:
                              type: number
                            timeoutCount:
                              type: number
                            maxDurationMs:
                              type: number
                          required:
                            - requestCount
                            - slowCount
                            - timeoutCount
                            - maxDurationMs
                        error:
                          type: string
                      required:
                        - tableId
                        - tableName
                        - baseId
                        - baseName
                        - spaceId
                        - spaceName
                        - estimatedRows
                        - totalBytes
                        - search
                        - ordinaryIndexCount
                        - pendingRecommendationCount
                        - activeTaskCount
                        - observation
                  total:
                    type: number
                  summary:
                    type: object
                    properties:
                      tableCount:
                        type: number
                      indexedTableCount:
                        type: number
                      configuredTableCount:
                        type: number
                      unconfiguredTableCount:
                        type: number
                      unavailableTableCount:
                        type: number
                      attentionTableCount:
                        type: number
                    required:
                      - tableCount
                      - indexedTableCount
                      - configuredTableCount
                      - unconfiguredTableCount
                      - unavailableTableCount
                      - attentionTableCount
                  observationWindow:
                    type: object
                    properties:
                      start:
                        type: string
                      end:
                        type: string
                    required:
                      - start
                      - end
                  checkedAt:
                    type: string
                required:
                  - tables
                  - total
                  - summary
                  - observationWindow
                  - checkedAt
      security:
        - bearerAuth: []
      x-codeSamples:
        - lang: Shell
          source: |-
            curl --request GET \
              --url 'https://app.teable.ai/api/admin/observability/table-query-ops/tables?q=SOME_STRING_VALUE&state=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&lookbackHours=SOME_INTEGER_VALUE&skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE' \
              --header 'Authorization: Bearer REPLACE_BEARER_TOKEN'
        - lang: JavaScript
          source: >-
            const url =
            'https://app.teable.ai/api/admin/observability/table-query-ops/tables?q=SOME_STRING_VALUE&state=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&lookbackHours=SOME_INTEGER_VALUE&skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE';

            const options = {method: 'GET', headers: {Authorization: 'Bearer
            REPLACE_BEARER_TOKEN'}};


            try {
              const response = await fetch(url, options);
              const data = await response.json();
              console.log(data);
            } catch (error) {
              console.error(error);
            }
        - lang: Node.js
          source: |-
            const http = require('https');

            const options = {
              method: 'GET',
              hostname: 'app.teable.ai',
              port: null,
              path: '/api/admin/observability/table-query-ops/tables?q=SOME_STRING_VALUE&state=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&lookbackHours=SOME_INTEGER_VALUE&skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE',
              headers: {
                Authorization: 'Bearer REPLACE_BEARER_TOKEN'
              }
            };

            const req = http.request(options, function (res) {
              const chunks = [];

              res.on('data', function (chunk) {
                chunks.push(chunk);
              });

              res.on('end', function () {
                const body = Buffer.concat(chunks);
                console.log(body.toString());
              });
            });

            req.end();
        - lang: Python
          source: >-
            import http.client


            conn = http.client.HTTPSConnection("app.teable.ai")


            headers = { 'Authorization': "Bearer REPLACE_BEARER_TOKEN" }


            conn.request("GET",
            "/api/admin/observability/table-query-ops/tables?q=SOME_STRING_VALUE&state=SOME_STRING_VALUE&sort=SOME_STRING_VALUE&lookbackHours=SOME_INTEGER_VALUE&skip=SOME_INTEGER_VALUE&take=SOME_INTEGER_VALUE",
            headers=headers)


            res = conn.getresponse()

            data = res.read()


            print(data.decode("utf-8"))
components:
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer

````